[Pkg-javascript-commits] [node-subarg] 17/17: Add autopkgtestsuite

Bastien Roucariès rouca at moszumanska.debian.org
Fri Aug 25 19:28:12 UTC 2017


This is an automated email from the git hooks/post-receive script.

rouca pushed a commit to branch master
in repository node-subarg.

commit 3d1abbbf143c53728256e774cfd97321f320e998
Author: Bastien ROUCARIÈS <roucaries.bastien at gmail.com>
Date:   Thu Aug 17 23:00:31 2017 +0200

    Add autopkgtestsuite
---
 debian/tests/control      |  3 +++
 debian/tests/runtestsuite | 15 +++++++++++++++
 2 files changed, 18 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
index aff2be3..d50c1fa 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,5 @@
 Tests: require
 Depends: node-subarg
+
+Tests: runtestsuite
+Depends: node-subarg, node-tape (>=4.6)
diff --git a/debian/tests/runtestsuite b/debian/tests/runtestsuite
new file mode 100755
index 0000000..2ac1038
--- /dev/null
+++ b/debian/tests/runtestsuite
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+# notice the / at end in order to load this module
+PACKAGE='subarg'
+SEDCMD="s,require\s*[(]\s*'[.][.]/?([^']*)'\s*[)],require('$PACKAGE/\1'),g"
+
+tmpdir=$(mktemp -d)
+trap 'rm -rf "$tmpdir"' EXIT INT TERM HUP
+
+cp -r test/ $tmpdir/test
+find test/ -name '*.js' -print0 | \
+    xargs -0 -n1  \
+	  sh -c 'set -e; echo "Create: $3"; sed -E "$1" < "$3" > "$2/$3"' sedtape "$SEDCMD" "$tmpdir"
+# avoid false that does not work outside build dir
+tape $tmpdir/test/*.js

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-subarg.git



More information about the Pkg-javascript-commits mailing list